package com.leromro.common.constant;

import cn.hutool.core.collection.CollectionUtil;

import java.util.Arrays;
import java.util.List;

/**
 * 通过静态常量
 */
public class CommonConstants {
    //权限初始化集合
    public static final List<String> GROUP_CONSTANT = Arrays.asList("province_code","city_code","district_code");
    //校验省
    public static final String CHECK_PROVINCE = "province_code";
    //校验省市
    public static final String CHECK_PROVINCE_CITY= "province_code,city_code";
    //校验省市区
    public static final String CHECK_PROVINCE_CITY_DISTRICT = "province_code,city_code,district_code";
}
