package com.leromro.core.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 首页 区县排名视图
 */
@Data
public class OrgRankVO {

    @ApiModelProperty("订单排名")
    private List<OrgOrderVo> orgOrderVos;

    @ApiModelProperty("金额排名")
    private List<OrgAmountVo> orgAmountVos;

    @Data
    public static class OrgOrderVo {
        @ApiModelProperty("机构名称")
        private String orgName;
        @ApiModelProperty("订单数量")
        private Long orderTotal;
    }
    @Data
    public static class OrgAmountVo {
        @ApiModelProperty("机构名称")
        private String orgName;
        @ApiModelProperty("订单金额")
        private BigDecimal orderAmount;
    }
}
