package com.leromro.core.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Builder;
import lombok.Data;

/**
 * 志愿者订单统计
 */
@Data
@Builder
public class VolunteerOrderStatisticsVO {
    @ApiModelProperty("订单总数")
    private Integer orderCount; ;

    @ApiModelProperty("预约单总数")
    private Integer reservationCount ;

    @ApiModelProperty("进行单总数")
    private Integer doingCount;

    @ApiModelProperty("完成单总数")
    private Integer finishedCount ;

    @ApiModelProperty("取消单总数")
    private Integer cancelCount ;
}
