package com.leromro.core.domain.vo;

import com.leromro.core.domain.VolunteerInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 小程序用户列表试图
 */
@Data
public class VolunteerInfoVO{

    @ApiModelProperty(value = "志愿者id")
    private Long volunteerId;

    @ApiModelProperty(value = "志愿者姓名")
    private String name;

    @ApiModelProperty(value = "志愿者照片")
    private String volunteerPicture;

    @ApiModelProperty(value = "技能描述")
    private String skillDescribe;

    @ApiModelProperty(value = "评分")
    private Double score;

    @ApiModelProperty(value = "业务id")
    private Long businessManagementId;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;

    @ApiModelProperty(value = "大类别")
    private Long serviceCategory;
}
